/// <reference types="node" />
import type { ZWaveHost } from "@zwave-js/host";
import { Message, type MessageBaseOptions, type MessageDeserializationOptions } from "@zwave-js/serial";
export interface GetLongRangeNodesRequestOptions extends MessageBaseOptions {
    segmentNumber: number;
}
export declare class GetLongRangeNodesRequest extends Message {
    constructor(host: ZWaveHost, options: MessageDeserializationOptions | GetLongRangeNodesRequestOptions);
    segmentNumber: number;
    serialize(): Buffer;
}
export interface GetLongRangeNodesResponseOptions extends MessageBaseOptions {
    moreNodes: boolean;
    segmentNumber: number;
    nodeIds: number[];
}
export declare class GetLongRangeNodesResponse extends Message {
    constructor(host: ZWaveHost, options: MessageDeserializationOptions | GetLongRangeNodesResponseOptions);
    moreNodes: boolean;
    segmentNumber: number;
    nodeIds: readonly number[];
    serialize(): Buffer;
    private listStartNode;
}
//# sourceMappingURL=GetLongRangeNodesMessages.d.ts.map