/// <reference types="node" />
import type { ZWaveHost } from "@zwave-js/host";
import type { SuccessIndicator } from "@zwave-js/serial";
import { Message, type MessageBaseOptions, type MessageDeserializationOptions } from "@zwave-js/serial";
import { LongRangeChannel } from "@zwave-js/core";
export declare class GetLongRangeChannelRequest extends Message {
}
export interface LongRangeChannelResponseOptions extends MessageBaseOptions {
    longRangeChannel: LongRangeChannel;
}
export declare class LongRangeChannelMessageBase extends Message {
    constructor(host: ZWaveHost, options: MessageDeserializationOptions | LongRangeChannelResponseOptions);
    longRangeChannel: LongRangeChannel;
    serialize(): Buffer;
}
export declare class GetLongRangeChannelResponse extends LongRangeChannelMessageBase {
}
export declare class SetLongRangeChannelRequest extends LongRangeChannelMessageBase {
}
export interface SetLongRangeChannelResponseOptions extends MessageBaseOptions {
    responseStatus: number;
}
export declare class SetLongRangeChannelResponse extends Message implements SuccessIndicator {
    constructor(host: ZWaveHost, options: MessageDeserializationOptions);
    readonly success: boolean;
    isOK(): boolean;
}
export interface LongRangeShadowNodeIDsRequestOptions extends MessageBaseOptions {
    shadowNodeIds: number[];
}
export declare class SetLongRangeShadowNodeIDsRequest extends Message {
    constructor(host: ZWaveHost, options: MessageDeserializationOptions | LongRangeShadowNodeIDsRequestOptions);
    shadowNodeIds: number[];
    serialize(): Buffer;
}
//# sourceMappingURL=LongRangeSetupMessages.d.ts.map